---
title: <area>
slug: Web/HTML/Element/area
tags:
  - Content
  - Element
  - HTML
  - 'HTML:Flow content'
  - 'HTML:Phrasing content'
  - Multimedia
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML <code>&lt;area&gt;</code> element</strong> defines an area inside an image map that has predefined clickable areas. An <dfn>image map</dfn> allows geometric areas on an image to be associated with {{Glossary("Hyperlink", "hypertext link")}}.</p>

<p>This element is used only within a {{HTMLElement("map")}} element.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/area.html", "tabbed-taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>None, it is an {{Glossary("empty element")}}.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>Must have a start tag and must not have an end tag.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>. The <code>&lt;area&gt;</code> element must have an ancestor {{HTMLElement("map")}}, but it need not be a direct parent.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td>{{ARIARole("link")}} when {{htmlattrxref("href", "area")}} attribute is present, otherwise <a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">no corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLAreaElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element's attributes include the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("alt")}}</dt>
 <dd>A text string alternative to display on browsers that do not display images. The text should be phrased so that it presents the user with the same kind of choice as the image would offer when displayed without the alternative text. This attribute is required only if the {{htmlattrxref("href", "area")}} attribute is used.</dd>
</dl>

<dl>
 <dt>{{htmlattrdef("coords")}}</dt>
 <dd>The <code>coords</code> attribute details the coordinates of the <code><a href="#attr-shape">shape</a></code> attribute in size, shape, and placement of an <code>&lt;area&gt;</code>.</dd>
 <dd>
 <ul>
  <li><code>rect</code>: the value is <code><var>x1,y1,x2,y2</var></code>. Value specifies the coordinates of the top-left and bottom-right corner of the rectangle.<br>
   For example: <code>&lt;area shape="rect" coords="0,0,253,27" href="#" target="_blank" alt="Mozilla"&gt;</code> The coords in the above example specify: 0,0 as the top-left corner and 253,27 as the bottom-right corner of the rectangle.</li>
  <li><code>circle</code>: the value is <code><var>x,y,radius</var></code>. Value specifies the coordinates of the circle center and the radius.<br>
   For example: <code>&lt;area shape="circle" coords="130,136,60" href="#" target="_blank" alt="MDN"&gt;</code></li>
  <li><code>poly</code>: the value is <code><var>x1,y1,x2,y2,..,xn,yn</var></code>. Value specifies the coordinates of the edges of the polygon. If the first and last coordinate pairs are not the same, the browser will add the last coordinate pair to close the polygon</li>
  <li><code>default</code>: defines the entire region</li>
 </ul>
 The values are numbers of CSS pixels.</dd>
 <dt>{{htmlattrdef("download")}}</dt>
 <dd>This attribute, if present, indicates that the author intends the hyperlink to be used for downloading a resource. See {{HTMLElement("a")}} for a full description of the {{htmlattrxref("download", "a")}} attribute.</dd>
 <dt>{{htmlattrdef("href")}}</dt>
 <dd>The hyperlink target for the area. Its value is a valid URL. This attribute may be omitted; if so, the <code>&lt;area&gt;</code> element does not represent a hyperlink.</dd>
 <dt>{{htmlattrdef("hreflang")}}</dt>
 <dd>Indicates the language of the linked resource. Allowed values are determined by <a class="external" href="https://www.ietf.org/rfc/bcp/bcp47.txt" title="Tags for Identifying Languages">BCP47</a>. Use this attribute only if the {{htmlattrxref("href", "area")}} attribute is present.</dd>
 <dt>{{htmlattrdef("ping")}}</dt>
 <dd>Contains a space-separated list of URLs to which, when the hyperlink is followed, {{HTTPMethod("POST")}} requests with the body <code>PING</code> will be sent by the browser (in the background). Typically used for tracking.</dd>
 <dt>{{htmlattrdef("referrerpolicy")}} {{experimental_inline}}</dt>
 <dd>A string indicating which referrer to use when fetching the resource:
 <ul>
  <li>"<code>no-referrer</code>" meaning that the <code>Referer:</code> header will not be sent.</li>
  <li>"<code>no-referrer-when-downgrade</code>" meaning that no <code>Referer:</code> header will be sent when navigating to an origin without TLS (HTTPS). This is a user agent’s default behavior, if no policy is otherwise specified.</li>
  <li>"<code>origin</code>" meaning that the referrer will be the origin of the page, that is roughly the scheme, the host and the port.</li>
  <li>"<code>origin-when-cross-origin</code>" meaning that navigations to other origins will be limited to the scheme, the host and the port, while navigations on the same origin will include the referrer's path.</li>
  <li>"<code>unsafe-url</code>" meaning that the referrer will include the origin and the path (but not the fragment, password, or username). This case is unsafe because it can leak origins and paths from TLS-protected resources to insecure origins.</li>
 </ul>
 </dd>
 <dt>{{htmlattrdef("rel")}}</dt>
 <dd>For anchors containing the {{htmlattrxref("href", "area")}} attribute, this attribute specifies the relationship of the target object to the link object. The value is a space-separated list of <a href="/en-US/docs/Web/HTML/Link_types">link types values</a>. The values and their semantics will be registered by some authority that might have meaning to the document author. The default relationship, if no other is given, is void. Use this attribute only if the {{htmlattrxref("href", "area")}} attribute is present.</dd>
 <dt>{{htmlattrdef("shape")}}</dt>
 <dd>The shape of the associated hot spot. The specifications for HTML defines the values <code>rect</code>, which defines a rectangular region; <code>circle</code>, which defines a circular region; <code>poly</code>, which defines a polygon; and <code>default</code>, which indicates the entire region beyond any defined shapes.</dd>
 <dd>Many browsers, notably Internet Explorer 4 and higher, support <code>circ</code>, <code>polygon</code>, and <code>rectangle</code> as valid values for {{htmlattrxref("shape", "area")}}, but these values are non-standard.</dd>
 <dt>{{htmlattrdef("target")}}</dt>
 <dd>A keyword or author-defined name of the {{Glossary("browsing context")}} to display the linked resource.</dd>
 <dd>The following keywords have special meanings:
 <ul>
  <li><code>_self</code> (default): Show the resource in the current browsing context.</li>
  <li><code>_blank</code>: Show the resource in a new, unnamed browsing context.</li>
  <li><code>_parent</code>: Show the resource in the parent browsing context of the current one, if the current page is inside a frame. If there is no parent, acts the same as <code>_self</code>.</li>
  <li><code>_top</code>: Show the resource in the topmost browsing context (the browsing context that is an ancestor of the current one and has no parent). If there is no parent, acts the same as <code>_self</code>.</li>
 </ul>
 </dd>
 <dd>Use this attribute only if the {{htmlattrxref("href", "area")}} attribute is present.
 <div class="note">
 <p><strong>Note:</strong> In newer browser versions (e.g. Firefox 79+) setting <code>target="_blank"</code> on <code>&lt;area&gt;</code> elements implicitly provides the same <code>rel</code> behavior as setting <code>rel="noopener"</code>.</p>
 </div>
 </dd>
</dl>

<h3 id="Deprecated_attributes">Deprecated attributes</h3>

<dl>
 <dt>{{htmlattrdef("name")}} {{deprecated_inline}}</dt>
 <dd>Define a names for the clickable area so that it can be scripted by older browsers.</dd>
 <dt>{{htmlattrdef("nohref")}} {{deprecated_inline}}</dt>
 <dd>Indicates that no hyperlink exists for the associated area.
 <div class="note">
 <p><strong>Note: </strong>Since HTML5, omitting the <code>href</code> attribute is sufficient.</p>
 </div>
 </dd>
 <dt>{{htmlattrdef("tabindex")}} {{deprecated_inline}}</dt>
 <dd>A numeric value specifying the position of the defined area in the browser tabbing order. This attribute is global in HTML5.</dd>
 <dt>{{htmlattrdef("type")}} {{deprecated_inline}}</dt>
 <dd>No effect. Browsers ignore it. (The W3C 5.3 fork of the HTML specification defines it as valid, but <a href="https://html.spec.whatwg.org/multipage/#the-area-element">the canonical HTML specification</a> doesn’t, and it has no effect in any user agents.)</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;map name="primary"&gt;
  &lt;area shape="circle" coords="75,75,75" href="left.html" alt="Click to go Left"&gt;
  &lt;area shape="circle" coords="275,75,75" href="right.html" alt="Click to go Right"&gt;
&lt;/map&gt;
&lt;img usemap="#primary" src="http://placehold.it/350x150" alt="350 x 150 pic"&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Examples', 360, 160) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-referrer-attribute', 'referrerpolicy attribute')}}</td>
   <td>{{Spec2('Referrer Policy')}}</td>
   <td>Added the <code>referrerpolicy</code> attribute.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'embedded-content.html#the-area-element', '&lt;area&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'semantics-embedded-content.html#the-area-element', '&lt;area&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/objects.html#h-13.6.1', '&lt;area&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.area")}}</p>
